Pve 5.3 freeze

czechsys

Renowned Member
Nov 18, 2015
397
37
93
Hi,
one of our pve hosts totally freezed. The only notice in logs was information about corosync delay warning (more than 2500ms), those warnings was about 2 minutes, after it all logs silent until server boot even on VMs.

HW: PowerEdge R940 + Perc H740P + SSDs
Storage config: LVM thick

Node is in 5 node cluster.

proxmox-ve: 5.3-1 (running kernel: 4.15.18-12-pve)
pve-manager: 5.3-11 (running version: 5.3-11/d4907f84)
pve-kernel-4.15: 5.3-3
pve-kernel-4.13: 5.2-2
pve-kernel-4.15.18-12-pve: 4.15.18-35
pve-kernel-4.15.17-1-pve: 4.15.17-9
pve-kernel-4.13.16-4-pve: 4.13.16-51
pve-kernel-4.13.16-2-pve: 4.13.16-48
pve-kernel-4.13.16-1-pve: 4.13.16-46
pve-kernel-4.13.13-6-pve: 4.13.13-42
pve-kernel-4.13.13-2-pve: 4.13.13-33
corosync: 2.4.4-pve1
criu: 2.11.1-1~bpo90
glusterfs-client: 3.8.8-1
ksm-control-daemon: 1.2-2
libjs-extjs: 6.0.1-2
libpve-access-control: 5.1-3
libpve-apiclient-perl: 2.0-5
libpve-common-perl: 5.0-47
libpve-guest-common-perl: 2.0-20
libpve-http-server-perl: 2.0-12
libpve-storage-perl: 5.0-39
libqb0: 1.0.3-1~bpo9
lvm2: 2.02.168-pve6
lxc-pve: 3.1.0-3
lxcfs: 3.0.3-pve1
novnc-pve: 1.0.0-3
openvswitch-switch: 2.7.0-3
proxmox-widget-toolkit: 1.0-23
pve-cluster: 5.0-33
pve-container: 2.0-35
pve-docs: 5.3-3
pve-edk2-firmware: 1.20181023-1
pve-firewall: 3.0-18
pve-firmware: 2.0-6
pve-ha-manager: 2.0-8
pve-i18n: 1.0-9
pve-libspice-server1: 0.14.1-2
pve-qemu-kvm: 2.12.1-2
pve-xtermjs: 3.10.1-2
qemu-server: 5.0-47
smartmontools: 6.5+svn4324-1
spiceterm: 3.0-5
vncterm: 1.5-3
zfsutils-linux: 0.7.13-pve1~bpo1

Even Dell remote console showed freezed console, logs in iDrac silent too, so probably not HW related.. Any knowledge/experience of the possible bugs even if they are repaired in recent versions? We are planning upgrade, any info welcome anyway.

BTW: It's possible to get current proxmox enterprise version number to compare with current no-subs?

Thanks.
 
Last edited:
Sorry for the late answer
Please consider upgrading to the latest version (PVE 5.4 has been out for quite a while and there is a new major version PVE 6.0 available since one month).

Else - do you have a dedicated network for your corosync traffic? (Otherwise the problem is most likely due to the network being overloaded

I hope this helps!
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get yours easily in our online shop.

Buy now!